Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.impl.xs
Class XSAttributeUseImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.impl.xs.XSAttributeUseImpl

public class XSAttributeUseImpl
extends java.lang.Object
implements weblogic.apache.xerces.impl.xs.psvi.XSAttributeUse

The XML representation for an attribute use schema component is a local element information item

Field Summary
`XSAttributeDecl` | `fAttrDecl`
`short` | `fConstraintType`
`ValidatedInfo` | `fDefault`
`short` | `fUse`

Constructor Summary
`XSAttributeUseImpl()`

Method Summary
`weblogic.apache.xerces.impl.xs.psvi.XSAttributeDeclaration` | `getAttrDeclaration()` {attribute declaration} provides the attribute declaration itself, which will in turn determine the simple type definition used.
`short` | `getConstraintType()` Value Constraint: one of default, fixed.
`java.lang.String` | `getConstraintValue()` Value Constraint: The actual value (with respect to the {type definition}).
`boolean` | `getIsRequired()` {required} determines whether this use of an attribute declaration requires an appropriate attribute information item to be present, or merely allows it.
`java.lang.String` | `getName()` The `name` of this `XSObject` depending on the `XSObject` type.
`java.lang.String` | `getNamespace()` The namespace URI of this node, or `null` if it is unspecified.
`short` | `getType()` Get the type of the object, i.e ELEMENT_DECLARATION.
`void` | `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fAttrDecl

    public XSAttributeDecl fAttrDecl

### fUse

    public short fUse

### fConstraintType

    public short fConstraintType

### fDefault

    public ValidatedInfo fDefault

Constructor Detail

### XSAttributeUseImpl

    public XSAttributeUseImpl()

Method Detail

### reset

    public void reset()

### getType

    public short getType()

  Get the type of the object, i.e ELEMENT_DECLARATION.

### getName

    public java.lang.String getName()

  The `name` of this `XSObject` depending on the `XSObject` type.

### getNamespace

    public java.lang.String getNamespace()

  The namespace URI of this node, or `null` if it is unspecified. defines how a namespace URI is attached to schema components.

### getIsRequired

    public boolean getIsRequired()

  {required} determines whether this use of an attribute declaration requires an appropriate attribute information item to be present, or merely allows it.
  Specified by:
    getIsRequired in interface weblogic.apache.xerces.impl.xs.psvi.XSAttributeUse

### getAttrDeclaration

    public weblogic.apache.xerces.impl.xs.psvi.XSAttributeDeclaration getAttrDeclaration()

  {attribute declaration} provides the attribute declaration itself, which will in turn determine the simple type definition used.
  Specified by:
    getAttrDeclaration in interface weblogic.apache.xerces.impl.xs.psvi.XSAttributeUse

### getConstraintType

    public short getConstraintType()

  Value Constraint: one of default, fixed.
  Specified by:
    getConstraintType in interface weblogic.apache.xerces.impl.xs.psvi.XSAttributeUse

### getConstraintValue

    public java.lang.String getConstraintValue()

  Value Constraint: The actual value (with respect to the {type definition}).
  Specified by:
    getConstraintValue in interface weblogic.apache.xerces.impl.xs.psvi.XSAttributeUse

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD